Package org.eclipse.compare

# Interface IViewerCreator

public interface IViewerCreator
A factory object for `Viewer`.

This interface is only required when creating a `Viewer` from a plugin.xml file. Since `Viewer`s have no default constructor they cannot be instantiated directly with `Class.forName`.

## Method Summary

Modifier and Type
Method
Description
`Viewer`
`createViewer(Composite parent, CompareConfiguration config)`
Creates a new viewer under the given SWT parent control.

## Method Details

### createViewer

Viewer createViewer(Composite parent, CompareConfiguration config)
Creates a new viewer under the given SWT parent control.

Parameters:
  `parent` - the SWT parent control under which to create the viewer's SWT control
  `config` - a compare configuration the newly created viewer might want to use
Returns:
  a new viewer